#!/bin/bash
export TIMEFORMAT=$'\nreal\t%3R\nuser\t%3U\nsys\t%3S'
export TESTSPATH='tests'
export DMCSPATH='.'
$DMCSPATH/dmcsd --context=1 --port=5001 --kb=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90-1.lp --br=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90-1.br --topology=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=2 --port=5002 --kb=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90-2.lp --br=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90-2.br --topology=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=3 --port=5003 --kb=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90-3.lp --br=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90-3.br --topology=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=4 --port=5004 --kb=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90-4.lp --br=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90-4.br --topology=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=5 --port=5005 --kb=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90-5.lp --br=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90-5.br --topology=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=6 --port=5006 --kb=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90-6.lp --br=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90-6.br --topology=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=7 --port=5007 --kb=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90-7.lp --br=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90-7.br --topology=$TESTSPATH/tree_ctx_07_alph_2_ifc_1_br_2_idx_90.top >/dev/null 2>&1 &
/usr/bin/time --portability -o tree_ctx_07_alph_2_ifc_1_br_2_idx_90-dmcs-time.log $DMCSPATH/dmcsc --hostname=localhost --port=5001 --system-size=7 --query-variables="18446744073709551615 3 5 5 5 3 3 " > tree_ctx_07_alph_2_ifc_1_br_2_idx_90-dmcs.log 2> tree_ctx_07_alph_2_ifc_1_br_2_idx_90-dmcs-err.log
killall dmcsd
