#!/bin/bash
export TIMEFORMAT=$'\nreal\t%3R\nuser\t%3U\nsys\t%3S'
export TESTSPATH='tests'
export DMCSPATH='.'
$DMCSPATH/dmcsd --context=1 --port=5001 --kb=$TESTSPATH/zigzag_ctx_04_alph_2_ifc_1_br_2_idx_61-1.lp --br=$TESTSPATH/zigzag_ctx_04_alph_2_ifc_1_br_2_idx_61-1.br --topology=$TESTSPATH/zigzag_ctx_04_alph_2_ifc_1_br_2_idx_61.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=2 --port=5002 --kb=$TESTSPATH/zigzag_ctx_04_alph_2_ifc_1_br_2_idx_61-2.lp --br=$TESTSPATH/zigzag_ctx_04_alph_2_ifc_1_br_2_idx_61-2.br --topology=$TESTSPATH/zigzag_ctx_04_alph_2_ifc_1_br_2_idx_61.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=3 --port=5003 --kb=$TESTSPATH/zigzag_ctx_04_alph_2_ifc_1_br_2_idx_61-3.lp --br=$TESTSPATH/zigzag_ctx_04_alph_2_ifc_1_br_2_idx_61-3.br --topology=$TESTSPATH/zigzag_ctx_04_alph_2_ifc_1_br_2_idx_61.top >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=4 --port=5004 --kb=$TESTSPATH/zigzag_ctx_04_alph_2_ifc_1_br_2_idx_61-4.lp --br=$TESTSPATH/zigzag_ctx_04_alph_2_ifc_1_br_2_idx_61-4.br --topology=$TESTSPATH/zigzag_ctx_04_alph_2_ifc_1_br_2_idx_61.top >/dev/null 2>&1 &
/usr/bin/time --portability -o zigzag_ctx_04_alph_2_ifc_1_br_2_idx_61-dmcs-time.log $DMCSPATH/dmcsc --hostname=localhost --port=5001 --system-size=4 --query-variables="18446744073709551615 3 3 5 " > zigzag_ctx_04_alph_2_ifc_1_br_2_idx_61-dmcs.log 2> zigzag_ctx_04_alph_2_ifc_1_br_2_idx_61-dmcs-err.log
killall dmcsd
