#!/bin/bash
export TIMEFORMAT=$'\nreal\t%3R\nuser\t%3U\nsys\t%3S'
export TESTSPATH='tests'
export DMCSPATH='.'
$DMCSPATH/dmcsd --context=1 --port=5001 --kb=$TESTSPATH/diamond_ctx_04_alph_2_ifc_1_br_2_idx_03-1.lp --br=$TESTSPATH/diamond_ctx_04_alph_2_ifc_1_br_2_idx_03-1.br --topology=$TESTSPATH/diamond_ctx_04_alph_2_ifc_1_br_2_idx_03.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=2 --port=5002 --kb=$TESTSPATH/diamond_ctx_04_alph_2_ifc_1_br_2_idx_03-2.lp --br=$TESTSPATH/diamond_ctx_04_alph_2_ifc_1_br_2_idx_03-2.br --topology=$TESTSPATH/diamond_ctx_04_alph_2_ifc_1_br_2_idx_03.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=3 --port=5003 --kb=$TESTSPATH/diamond_ctx_04_alph_2_ifc_1_br_2_idx_03-3.lp --br=$TESTSPATH/diamond_ctx_04_alph_2_ifc_1_br_2_idx_03-3.br --topology=$TESTSPATH/diamond_ctx_04_alph_2_ifc_1_br_2_idx_03.opt >/dev/null 2>&1 &
$DMCSPATH/dmcsd --context=4 --port=5004 --kb=$TESTSPATH/diamond_ctx_04_alph_2_ifc_1_br_2_idx_03-4.lp --br=$TESTSPATH/diamond_ctx_04_alph_2_ifc_1_br_2_idx_03-4.br --topology=$TESTSPATH/diamond_ctx_04_alph_2_ifc_1_br_2_idx_03.opt >/dev/null 2>&1 &
/usr/bin/time --portability -o diamond_ctx_04_alph_2_ifc_1_br_2_idx_03-dmcsopt-time.log $DMCSPATH/dmcsc --hostname=localhost --port=5001 --system-size=4 > diamond_ctx_04_alph_2_ifc_1_br_2_idx_03-dmcsopt.log 2> diamond_ctx_04_alph_2_ifc_1_br_2_idx_03-dmcsopt-err.log
killall dmcsd
